{% extends 'base.html.twig' %}
{% block title %}calendrier{% endblock %}
{% block stylesheets %}
    {{ parent() }}
    {% if mystyle is defined %}
        <style>
            {{ mystyle |raw }}
        </style>
    {% endif %}
{% endblock %}
{% block body %}

    <h2>Géneration du calendrier</h2>
    <div>
        {% if message is defined %}
            {{ message|raw }}
        {% endif %}
    </div>
    <form action="" method="post">
        <h5>Veuillez choisir la session avant le chargement de fichier</h5>
        <select name="id" id="cars">
            <option value="">Selectionner une session...</option>
            {% for session in sessions %}
                <option {% if sessionId is defined and  sessionId == session.id %}selected="selected"
                        {% endif %}value="{{ session.id }}">{{ session.annee.libelleannee }} {{ session.libellesession }}  {% if session.semestre %}{{ session.semestre.libelleSemestreAr }}{% endif %}</option>
            {% endfor %}
        </select>
        <input type="submit" class='btn btn-primary' name="submit" value="Choisir">
    </form>
    <td>
        <a>
            <button class="btn btn-success btn_new_csv" url="{{ path('document_csv_new') }}"><span
                > Ajouter fichier CSV</span></button>
        </a>
    </td>

    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des fichiers CSV </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="example2" class="table table-bordered table-striped">
                <thead>
                <tr>

                    <th>CsvName</th>
                    <th>Session</th>
                    <th>Date creation</th>
                    <th>Date modification</th>
                    <th>Actions</th>
                </tr>
                </thead>
                <tbody>
                {% for document_csv in document_csvs %}
                    <tr>
                        {% if document_csv.isSent == false %}
                        <td><strong class="table-td">{{ document_csv.csvName }}</strong></td>
                        <td><strong class="table-td">{{ document_csv.session }}</strong></td>
                        <td><strong
                                    class="table-td">{{ document_csv.createdAt ? document_csv.createdAt|date('d-m-Y H:i:s') : '' }}</strong>
                        </td>
                        <td><strong
                                    class="table-td">{{ document_csv.updatedAt ? document_csv.updatedAt|date('d-m-Y H:i:s') : '' }}</strong>
                        </td>
                        <td>
                            <a href="{{ path('send_document_csv', {'file_name': document_csv.csvName}) }}">Charger</a>
                           {# <a href="{{ path('document_csv_edit', {'id': document_csv.id}) }}">editer</a>#}
                            {% else %}

                        <td><samp class="table-td">{{ document_csv.csvName }}</samp></td>
                        <td><strong class="table-td">{{ document_csv.session }}</strong></td>
                        <td><samp
                                    class="table-td">{{ document_csv.createdAt ? document_csv.createdAt|date('d-m-Y H:i:s') : '' }}</samp>
                        </td>
                        <td><samp
                                    class="table-td">{{ document_csv.updatedAt ? document_csv.updatedAt|date('d-m-Y H:i:s') : '' }}</samp>
                        </td>
                        <td>
                            document déjà chargé
                            {% endif %}

                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="5">Pas de resultat</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            {#<div align='center' class="navigation">
                {{ knp_pagination_render(doc) }}
            </div>#}
        </div>
    </div>


    <div class="modal fade" id="modalCsv" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header text-center">
                    <h4 class="modal-title w-100 font-weight-bold titre_modal_csv"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="text-center">
                        <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                    </div>
                    <div class="content_modal_body">
                    </div>
                </div>
                <div class="modal-footer">

                </div>
            </div>
        </div>
    </div>

{% endblock %}

        {% block mesJavascripts %}

            <script>
                $('body').on('click', '.btn_new_csv', function (event) {
                    $('#modalCsv').modal('show');
                    $('.content_modal_body').html('');
                    $('.load_modal_body').show();
                    $('.titre_modal_csv').html('Ajouter nouveau Fichier CSV');
                    $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
                    var url = $(this).attr('url');
                    $.ajax({
                        url: url,
                        method: 'POST',
                        success: function (result) {
                            $('.load_modal_body').hide();
                            $('.content_modal_body').html(result);
                        }
                    });
                });


                $('body').on('click', '.save_csv', function (event) {

                    var form = $('#form_add_csv');
                    var formData = new FormData(document.getElementById("form_add_csv"));

                    $.ajax({
                        type: 'POST',
                        cache: false,
                        data: formData,
                        url: form.attr('action'),
                        processData: false,
                        contentType: false,

                        beforeSend: function (XMLHttpRequest) {
                            $('#form_add_csv').attr('disabled', true);
                        },

                        success: function (msg) {
                            if (msg == 'ok') {
                                $('#modalCsv').modal('hide');
                                location.reload();
                            } else {
                                $('.content_modal_body').html(msg);
                                //alert('erreur');
                            }
                        }
                    });

                });


            </script>

        {% endblock %}
